searchData={"items":[{"type":"module","title":"StarkCore","doc":"SDK to facilitate Elixir integrations with the Stark Bank API v2.","ref":"StarkCore.html"},{"type":"function","title":"StarkCore.organization/1","doc":"The Organization object is an authentication entity for the SDK that\nrepresents your entire Organization, being able to access any Workspace\nunderneath it and even create new Workspaces. Only a legal representative\nof your organization can register or change the Organization credentials.\nAll requests to the Stark Bank API must be authenticated via an SDK user,\nwhich must have been previously created at the Stark Bank website\n[https://web.sandbox.starkbank.com] or [https://web.starkbank.com]\nbefore you can use it in this SDK. Organizations may be passed as the user parameter on\neach request or may be defined as the default user at the start (See README).\nIf you are accessing a specific Workspace using Organization credentials, you should\nspecify the workspace ID when building the Organization object or by request, using\nthe Organization.replace(organization, workspace_id) method, which creates a copy of the organization\nobject with the altered workspace ID. If you are listing or creating new Workspaces, the\nworkspace_id should be nil.","ref":"StarkCore.html#organization/1"},{"type":"function","title":"Parameters (required): - StarkCore.organization/1","doc":"- `:environment` [string]: environment where the organization is being used. ex: \"sandbox\" or \"production\"\n  - `:id` [string]: unique id required to identify organization. ex: \"5656565656565656\"\n  - `:private_key` [EllipticCurve.Organization()]: PEM string of the private key linked to the organization. ex: \"-----BEGIN PUBLIC KEY-----\nMFYwEAYHKoZIzj0CAQYFK4EEAAoDQgAEyTIHK6jYuik6ktM9FIF3yCEYzpLjO5X/\ntqDioGM+R2RyW0QEo+1DG8BrUf4UXHSvCjtQ0yLppygz23z0yPZYfw==\n-----END PUBLIC KEY-----\"","ref":"StarkCore.html#organization/1-parameters-required"},{"type":"function","title":"Parameters (optional): - StarkCore.organization/1","doc":"- `:workspace_id` [string]: unique id of the accessed Workspace, if any. ex: nil or \"4848484848484848\"","ref":"StarkCore.html#organization/1-parameters-optional"},{"type":"function","title":"StarkCore.project/1","doc":"The Project object is an authentication entity for the SDK that is permanently\nlinked to a specific Workspace.\nAll requests to the Stark Bank API must be authenticated via an SDK user,\nwhich must have been previously created at the Stark Bank website\n[https://web.sandbox.starkbank.com] or [https://web.starkbank.com]\nbefore you can use it in this SDK. Projects may be passed as the user parameter on\neach request or may be defined as the default user at the start (See README).","ref":"StarkCore.html#project/1"},{"type":"function","title":"Parameters (required): - StarkCore.project/1","doc":"- `environment` [string]: environment where the project is being used. ex: \"sandbox\" or \"production\"\n  - `id` [string]: unique id required to identify project. ex: \"5656565656565656\"\n  - `private_key` [string]: PEM string of the private key linked to the project. ex: \"-----BEGIN PUBLIC KEY-----\nMFYwEAYHKoZIzj0CAQYFK4EEAAoDQgAEyTIHK6jYuik6ktM9FIF3yCEYzpLjO5X/\ntqDioGM+R2RyW0QEo+1DG8BrUf4UXHSvCjtQ0yLppygz23z0yPZYfw==\n-----END PUBLIC KEY-----\"","ref":"StarkCore.html#project/1-parameters-required"},{"type":"module","title":"StarkCore.Error","doc":"","ref":"StarkCore.Error.html"},{"type":"function","title":"StarkCore.Error.__struct__/0","doc":"Error generated on interactions with the API\n\nIf the error code is:\n  - \"internalServerError\": the API has run into an internal error. If you ever stumble upon this one, rest assured that the development team is already rushing in to fix the mistake and get you back up to speed.\n  - \"unknownException\": a request encounters an error that has not been sent by the API, such as connectivity problems.\n  - any other binary: the API has detected a mistake in your request","ref":"StarkCore.Error.html#__struct__/0"},{"type":"function","title":"Attributes: - StarkCore.Error.__struct__/0","doc":"- `code` [string]: defines de error code. ex: \"invalidCredentials\"\n  - `message` [string]: explains the detected error. ex: \"Provided digital signature in the header Access-Signature does not check out. See https://starkinfra.com/docs/api#received-request-authentication for details.\"","ref":"StarkCore.Error.html#__struct__/0-attributes"},{"type":"type","title":"StarkCore.Error.t/0","doc":"","ref":"StarkCore.Error.html#t:t/0"},{"type":"module","title":"StarkCore.Key","doc":"Used to generate API-compatible key pairs","ref":"StarkCore.Key.html"},{"type":"function","title":"StarkCore.Key.create/1","doc":"Generates a secp256k1 ECDSA private/public key pair to be used in the API authentications","ref":"StarkCore.Key.html#create/1"},{"type":"function","title":"Parameters (optional): - StarkCore.Key.create/1","doc":"- `path` [string, default nil]: path to save the keys .pem files. No files will be saved if this parameter isn't provided.","ref":"StarkCore.Key.html#create/1-parameters-optional"},{"type":"module","title":"StarkCore.Utils.Rest","doc":"","ref":"StarkCore.Utils.Rest.html"},{"type":"function","title":"StarkCore.Utils.Rest.delete_id/4","doc":"","ref":"StarkCore.Utils.Rest.html#delete_id/4"},{"type":"function","title":"StarkCore.Utils.Rest.delete_id!/4","doc":"","ref":"StarkCore.Utils.Rest.html#delete_id!/4"},{"type":"function","title":"StarkCore.Utils.Rest.delete_raw/4","doc":"","ref":"StarkCore.Utils.Rest.html#delete_raw/4"},{"type":"function","title":"StarkCore.Utils.Rest.delete_raw!/4","doc":"","ref":"StarkCore.Utils.Rest.html#delete_raw!/4"},{"type":"function","title":"StarkCore.Utils.Rest.get_content/5","doc":"","ref":"StarkCore.Utils.Rest.html#get_content/5"},{"type":"function","title":"StarkCore.Utils.Rest.get_content!/5","doc":"","ref":"StarkCore.Utils.Rest.html#get_content!/5"},{"type":"function","title":"StarkCore.Utils.Rest.get_id/4","doc":"","ref":"StarkCore.Utils.Rest.html#get_id/4"},{"type":"function","title":"StarkCore.Utils.Rest.get_id!/4","doc":"","ref":"StarkCore.Utils.Rest.html#get_id!/4"},{"type":"function","title":"StarkCore.Utils.Rest.get_list/3","doc":"","ref":"StarkCore.Utils.Rest.html#get_list/3"},{"type":"function","title":"StarkCore.Utils.Rest.get_list!/3","doc":"","ref":"StarkCore.Utils.Rest.html#get_list!/3"},{"type":"function","title":"StarkCore.Utils.Rest.get_page/3","doc":"","ref":"StarkCore.Utils.Rest.html#get_page/3"},{"type":"function","title":"StarkCore.Utils.Rest.get_page!/3","doc":"","ref":"StarkCore.Utils.Rest.html#get_page!/3"},{"type":"function","title":"StarkCore.Utils.Rest.get_raw/3","doc":"","ref":"StarkCore.Utils.Rest.html#get_raw/3"},{"type":"function","title":"StarkCore.Utils.Rest.get_raw!/3","doc":"","ref":"StarkCore.Utils.Rest.html#get_raw!/3"},{"type":"function","title":"StarkCore.Utils.Rest.get_sub_resource/5","doc":"","ref":"StarkCore.Utils.Rest.html#get_sub_resource/5"},{"type":"function","title":"StarkCore.Utils.Rest.get_sub_resource!/5","doc":"","ref":"StarkCore.Utils.Rest.html#get_sub_resource!/5"},{"type":"function","title":"StarkCore.Utils.Rest.patch_id/4","doc":"","ref":"StarkCore.Utils.Rest.html#patch_id/4"},{"type":"function","title":"StarkCore.Utils.Rest.patch_id!/4","doc":"","ref":"StarkCore.Utils.Rest.html#patch_id!/4"},{"type":"function","title":"StarkCore.Utils.Rest.patch_raw/4","doc":"","ref":"StarkCore.Utils.Rest.html#patch_raw/4"},{"type":"function","title":"StarkCore.Utils.Rest.patch_raw!/4","doc":"","ref":"StarkCore.Utils.Rest.html#patch_raw!/4"},{"type":"function","title":"StarkCore.Utils.Rest.post/3","doc":"","ref":"StarkCore.Utils.Rest.html#post/3"},{"type":"function","title":"StarkCore.Utils.Rest.post!/3","doc":"","ref":"StarkCore.Utils.Rest.html#post!/3"},{"type":"function","title":"StarkCore.Utils.Rest.post_raw/3","doc":"","ref":"StarkCore.Utils.Rest.html#post_raw/3"},{"type":"function","title":"StarkCore.Utils.Rest.post_raw!/3","doc":"","ref":"StarkCore.Utils.Rest.html#post_raw!/3"},{"type":"function","title":"StarkCore.Utils.Rest.post_single/3","doc":"","ref":"StarkCore.Utils.Rest.html#post_single/3"},{"type":"function","title":"StarkCore.Utils.Rest.post_single!/3","doc":"","ref":"StarkCore.Utils.Rest.html#post_single!/3"},{"type":"function","title":"StarkCore.Utils.Rest.post_sub_resource/5","doc":"","ref":"StarkCore.Utils.Rest.html#post_sub_resource/5"},{"type":"function","title":"StarkCore.Utils.Rest.post_sub_resource!/5","doc":"","ref":"StarkCore.Utils.Rest.html#post_sub_resource!/5"},{"type":"function","title":"StarkCore.Utils.Rest.prepare_payload/2","doc":"","ref":"StarkCore.Utils.Rest.html#prepare_payload/2"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}